#ifndef I_SENDCOMMANDCONST_H
#define I_SENDCOMMANDCONST_H	aaa
//----------------------------------------------------------------------------
//  @brief
//        file with constants for use in SendCommand(..) function

//  @ingroup
    
//  (C) 2004    Sigma-Team
//-----------------------------------------------------------------------------


//   
#define UNDEFINED_INDEX           -1
#define UNDEFINED_VALUE	          -999999
#define UNDEFINED_STRING_VALUE	  ""
#define NON_EXISTENT_STRING_VALUE	"x__non_exist__x"


// Equipment commands ---------------------------------------------------------
#define EQUIPMENT_STORAGE		  1
#define EQUIPMENT_ADD_LEVEL     	10 // var1= Add_level //    
#define EQUIPMENT_UPGRADES_COUNT 	11 // var1= upgradesCount //     ,        1
#define EQUIPMENT_DAMAGE		      12 // var1= upgradeIndex // var2= Damage_table // 
#define EQUIPMENT_DAMAGE_RADIUS		13 // var1= upgradeIndex // var2= DamageRadius_table //  
#define EQUIPMENT_CLIP 			      14 // var1= upgradeIndex // var2= Clip_table //     ( )
#define EQUIPMENT_RELOAD 		      15 // var1= upgradeIndex // var2= Reload_table  //      
#define EQUIPMENT_AIM_RANGE 		  16 // var1= upgradeIndex // var2= AimRange_table //  
#define EQUIPMENT_BULLET_COUNT 		17 // var1= upgradeIndex // var2= BulletCount_table //  ,   ,   ,   .
#define EQUIPMENT_DEATH_PUSH 		  18 // var1= upgradeIndex // var2= DeathPush_table //         
#define EQUIPMENT_COST 			      19 // var1= upgradeIndex // var2= Cost_table //  
#define EQUIPMENT_SHOT_SPEED 		  20 // var1= upgradeIndex // var2= ShotSpeed_table  //  
#define EQUIPMENT_FLAME_VID 		  21 // var1= upgradeIndex // var2= FlameVid_table //  vid'  ,     
#define EQUIPMENT_BULLET_VID 		  22 // var1= upgradeIndex // var2= VIDBullet_table  //      object.ini
#define EQUIPMENT_IN_GAME_VID 		23 // var1= VidInGame //      object.ini  /,     /  .
#define EQUIPMENT_SHELL_VID 		  24 // var1= ShellVid //  vid' 
#define EQUIPMENT_SHOT_WAV 		    25 // var1= ShotWAV //  
#define EQUIPMENT_MENU_VID 		    26 // var1= VidMENU_nvid	// var2= VidMENU_dir //           ( ),     var1 = 0 (nvid)  1 (dir)
#define EQUIPMENT_MENU_VID_BIG 		27 // var1= VidMENU_nvid_big // var2= VidMENU_dir_big //        ( ,    ),     var1 = 0 (nvid)  1 (dir)
#define EQUIPMENT_AMMO_BAY 		    28 // var1= AmmoBay //    ,       . 
#define EQUIPMENT_AMMO_COST 		  29 // var1= AmmoCost //    
#define EQUIPMENT_TYPE_ANIMATION_TORS	        30 // var1= TypeAnimationTors //  (   0-6, 0-pistols 1-ShotGun)
#define EQUIPMENT_HP 			        31 // var1= upgradeIndex // var2= Hp_table //     -  //      
#define EQUIPMENT_DEFENCE 		    32 // var1= upgradeIndex // var2= Defence_table //     
#define EQUIPMENT_HEALTH 		      33 // var1= upgradeIndex // var2= Health_table //  %    
#define EQUIPMENT_SPEED 		      34 // var1= upgradeIndex // var2= Speed_table //  %     (  0       )
#define EQUIPMENT_CRITICAL_HIT 		35 // var1= upgradeIndex // var2= CriticalHit_table //  %     (  0       )
#define EQUIPMENT_ADD_MORE_DAMAGE	36 // var1= AddMoreDamage //     
#define EQUIPMENT_ADD_MORE_MONEY	37 // var1= AddMoreMoney //     
#define EQUIPMENT_ADD_MORE_LUCK		38 // var1= AddMoreLuck //      
#define EQUIPMENT_ADD_MORE_HP		  39 // var1= AddMoreHp //     
#define EQUIPMENT_TYPE_SIZE		    40 //    
#define EQUIPMENT_CATEGORY_SIZE		41 //     
#define EQUIPMENT_TYPE			      42 // var1=category //   
#define EQUIPMENT_NAME_HASH		    43 //     -  
#define EQUIPMENT_NAME		        44 //    -  
#define EQUIPMENT_PRODUCT_NAME		45 //     
#define EQUIPMENT_BUY_COUNT		    46 //  
#define EQUIPMENT_PRODUCT_TYPE		47 //     
#define EQUIPMENT_MAX_FIELD_VALUE		48 //     val1     
#define EQUIPMENT_MIN_FIELD_VALUE		49 //     val1     
#define EQUIPMENT_DESCRIPTION_VID   50 // var1= VidMENU_nvid	// var2= VidMENU_dir //       ,     var1 = 0 (nvid)  1 (dir)
#define EQUIPMENT_MIX_COUNT         51   // var1= mixCount  //         
#define EQUIPMENT_MIX_HASH          52  // var1= mixIndex  //  - var3 = Mix_table //  - hash(Mix_table) //         
#define EQUIPMENT_INDICATOR         53 // var1= indicatorIndex // var2= Indicator_table //      
#define EQUIPMENT_TYPE_ANIMATION_LEGS           54  // var1= TypeAnimationLegs //    
#define EQUIPMENT_LUCK 		          55 // var1= upgradeIndex // var2= Luck_table //  %     (  0       )
#define EQUIPMENT_DAMAGE_MULTI 		  56 // var1= upgradeIndex // var2= DamageMulti_table //     (  0       )
#define EQUIPMENT_ANIMATION_TORS    57 // var1= animationIndex // var2= TorsAnimation_table //   
#define EQUIPMENT_ANIMATION_LEGS    58 // var1= animationIndex // var2= LegsAnimation_table //   
#define EQUIPMENT_MAX_BUY_AMMO      59 // var1= MaxBuyAmmo //      
#define EQUIPMENT_AMMO_REPLENISH_TIME           60 // var1= AmmoRepleninshTime //         
#define EQUIPMENT_MAX_AMMO_REPLENISH_TIME       61 // var1= MaxAmmoRepleninshTime //         
#define EQUIPMENT_ADD_LEVEL_AMMO_REPLENISH_TIME 62 // var1= AddLevelAmmoRepleninshTime //                
#define EQUIPMENT_MAX_AMMO_COST 		63 // var1= MaxAmmoCost //   
#define EQUIPMENT_BASE_DIFFICULTY   64 // var1= BaseDifficulty //     
#define EQUIPMENT_ADD_DIFFICULTY    65 // var1= AddDifficulty //      
#define EQUIPMENT_BASE_AMMO_REPLENISH_TIME      66 // var1= AmmoRepleninshTime //         
#define EQUIPMENT_BASE_AMMO_COST 		67 // var1= AmmoCost //   
#define EQUIPMENT_TIME_SURVIVE      68 // var1= TimeSurvive //    ,    . 
#define EQUIPMENT_KILL_COUNT        69 // var1= KillCount //     ,    . 
#define EQUIPMENT_DIFFICULTY        70 // var1= Difficulty //  
#define EQUIPMENT_ITEM_FIND         71 // var1= ItemFind //  ,     
#define EQUIPMENT_ITEM_FIND_COUNT   72 // var1= ItemFindCount //       
#define EQUIPMENT_BONUS_MONEY       73 // var1= BonusMoney // c      
#define EQUIPMENT_MAPS_COUNT        74 // var1= mapsCount //    
#define EQUIPMENT_MONSTERS_COUNT    75 // var1= monstersCount //    
#define EQUIPMENT_MAP_PATH          76 // var1= index //  - var3= Maps_table //         
#define EQUIPMENT_MONSTER_TYPE      77 // var1= index // var2= Monsters_table //      
#define EQUIPMENT_KILL_MONSTER      78 // var1= KillMonster //     
#define EQUIPMENT_STORY             79 // var1= Story //  
#define EQUIPMENT_MISSIONS_BEFORE   80 // var1= MissionsBefore //             
#define EQUIPMENT_TIME_BEFORE_BOSS  81 // var1= TimeBeforeBoss //      
#define EQUIPMENT_ON_GLOBAL_MAP     82 // var1= true/false //        
#define EQUIPMENT_MAP_X             83 // var1= x //    
#define EQUIPMENT_MAP_Y             84 // var1= y //    
#define EQUIPMENT_DROP_ITEMS_COUNT  85 // var1= dropItemsCount //      
#define EQUIPMENT_DROP_ITEM_TYPE    86 // var1= index // var2= DropItems_table //       
#define EQUIPMENT_DROP_CHANCE       87 // var1= index // var2= DropChance_table //  
#define EQUIPMENT_WEATHER_RAIN      88 // var1= Rain // : Enable/1 -   /, FromStart/2 -          /, Disable/0 -   
#define EQUIPMENT_GAMMA_MORNING     89 // var1= GammaMorning //    
#define EQUIPMENT_GAMMA_DAY         90 // var1= GammaDay //    
#define EQUIPMENT_GAMMA_EVENING     91 // var1= GammaEvening //    
#define EQUIPMENT_CURRENT_RAINING   92 // var1= true/false //       
#define EQUIPMENT_CURRENT_GAMMA     93 // var1= Gamma //    
// Equipment commands ---------------------------------------------------------



//---------------------------------------------------------------------------------------
#define	MES_NONE						0
#define	MES_CANTBUY						1
#define	MES_INVNOTENOUGHSPACE			2
#define	MES_NOTENOUGHMONEY				3
#define	MES_AUTOTAKE_NOTENOUGHSPACE		4
#define	MES_LOGADD						5
// 
#define	MES_CLEAR						6


//---------------------------------------------------------------------------------------
//  Hall of fame
#define	REC_VAR_1			0
#define	REC_VAR_2			1
#define	REC_VAR_3			2
#define	REC_HASH_NUM		3

#define	REC_VARS_CNT		4

#define	REC_VAR_NAME		5
#define	REC_VAR_DATE		6
#define	REC_VAR_CHEATER		7

#define	REC_VAR_WPN_CNT		8

#define	REC_VAR_WPN_DATA	9


//---------------------------------------------------------------------------------------
#define EXT_PROC_SHOWINVENTORY  0       // var1=1 - , var1=0 - .
#define EXT_GETARMORDIR         9       //
#define EXT_GETDIRTYSTATE       8       //if return != 0, then recalc gamebar
#define EXT_GETWEAPONVID        7       //
#define EXT_GETWEAPONDIR        6       //
#define EXT_GETHEROFACEDIR      5       //
#define EXT_GETITEMVID          4       //var1-   (. INV_XXX)
#define EXT_GETITEMDIR          3       //var1-   (. INV_XXX)
#define EXT_GETITEMNUM          2       //var1-   (. INV_XXX)
#define EXT_GETSKILL            1       //var1 - id , var2 - SkillNum
#define EXT_GETSKILLBASE        14      //var1 - id , var2 - SkillNum
#define EXT_GETHEROID           13      //
#define EXT_GETARMORID          12      //
#define EXT_GETWEAPONID         11      //
#define EXT_GETITEMDIRTY        10      //    var2   var1
//    ,      
				#define ITM_NONE           0
                #define ITM_FLASH          1
                #define ITM_DRONE          2
                #define ITM_DRONE2         3
                #define ITM_NVISN          4
                #define ITM_INVULN         5
                #define ITM_GRENADE        6
                #define ITM_RADAR          7
                #define ITM_TANKSHELL      8
                #define ITM_MEDKIT         9
                #define ITM_DYNAMITE       10
                #define ITM_BACKPACK       11



                #define DS_NONE             0
                #define DS_CHANGESTATE      1
                #define DS_CHANGED          2
               	#define DS_REMOVED          3


#define EXT_IFHASITEM           15      //   var1    

#define EXT_SETINVULNERABLE         16  //var1 - hero's id, var2 - invulnarability-flag
#define EXT_SETGAMMAITEMDISABLED    17  // , . 
                                        // , var1 = red,
                                        //var2 = green, var3 = blue
#define EXT_GETITEMDISABLED         18  //var1-   (. INV_XXX)
//  var1   var2, if( var3 ) - output message if needed
#define EXT_ADDSKILL                21
#define EXT_INVENTORYSETACTIVE      20  // var1=1 -  , var1=0 - 
#define EXT_GETRELOADBARDIR         19  //
#define EXT_GETCURAMMOBARDIR        22  //var1=1 -  
#define EXT_GETCURCADR              23  //   . var1-.
#define EXT_GETPERKSKILL            24  //  
#define EXT_GETCHARSKILL			25  //     var2  var1
//#define EXT_GETPERKICONDIR          26  //    

//SURVIVE MODE functions:

//get number of monster types to born in current period.
//var1 - time from the beginning of the game.
#define EXT_GETMONSTERTYPESCNT		30

//get count of monsters to born in current period. var1 - time from the beginning of the game
//var2 - number of monster's type
#define EXT_GETMONSTERCOUNT			29

//get vid of monsters to born in current period. var1 - time from the beginning of the game
//var2 - number of monster's type
#define EXT_GETMONSTERVID			28

//get length of current period in seconds. var1 - time from the beginning of the game
#define EXT_GETPERIODLENGTH			27

//get boss to create in current period. var1 - time from the beginning of the game
//#define EXT_BOSSTOCREATE			31

//get boss-bonuses count. var1 - time from the beginning of the game
//#define EXT_GETBOSSBONUSESCNT		32

//get boss-bonuses ids. var1 - time from the beginning of the game. var2 - number of bonus
//#define EXT_GETBOSSBONUSID			33

//
#define EXT_GetBossSize				31

//
#define EXT_GetBossHpCoeff			32


//var1 - time from the beginning of the game
#define EXT_IsBossPeriod			33

//get bonus ids to create. var1 - time from the beginning of the game
#define EXT_GETBONUSID				34

//get ground vid of the object with id == var1, .. <var2> is also used
#define EXT_GETITEMVIDBYID         	35  //

//tell hero to select best weapon
#define EXT_SELECTBESTWEAPON		36

//sprite's rotate tact. var1 - sprite, var2 - delta angle, var3 - delta time.
#define EXT_ROTATETACT				37

//add item to hero. var1 - base id of the item
#define EXT_ADDITEMBYBASEID			40

//set reduce scale for vid. var1 - vid number. var2 - scale in percents
#define EXT_SETVIDREDUCESCALE		41

//get reduce scale for vid. var1 - vid number.
#define EXT_GETVIDREDUCESCALE		42

//get radius and angle. from x and y coordinate. var1 - x. var2 - y.
//var3 == 1 - get angle; var3 == 2 - get radius;
#define EXT_CONVERFROMCARTESIAN		46

//get dirty state of current quests. no variables needed.
#define EXT_GETQUESTSDIRTYSTATE		44

//get number of quests. no variables needed.
#define EXT_GETQUESTSNUM			43

//get number of subquests for quest var1
#define EXT_GETSUBQUESTSNUM			45

//get state of subquest var2 of the quest var1.
//if var2 == 0 - then state of the whole quest returned
#define EXT_GETQUESTSSTATE			48

//return name of subquest var2 of the quest var1.
//if var2 == 0 - then state of the whole quest returned
#define EXT_GETQUESTNAME			49

//kill all objects with name "h"+[var1]
#define EXT_KILLOBJECTS				47

//set level name for QuestServer
//#define EXT_SETLEVELNAME			50

//return 1 if sprite <var1> has name
#define EXT_SPRITEHASNAME			51

//get name of sprite <var1>
#define EXT_GETSPRITENAME			52

//getinventory number by sprite name <var1>
#define EXT_GETINVBYNAME			53

//get height of text <var1> (as SPRITE)
#define EXT_GETTEXTHEIGHT			54

//get SizeX of inventory number <var1>
#define EXT_GETINVSIZEX				55

//get SizeY of inventory number <var1>
#define EXT_GETINVSIZEY				56

//remember user's name <var1> for some purposes
#define EXT_SETUSERNAME				57

//set diastanse for autotaking
#define EXT_AUTOTAKINGDIST			58

//return true if skill is increased by implantants
//var1 - id , var2 - SkillNum
#define EXT_IFINCREASEDBYIMPLANT	59

//get if of item from inventory <var2> of hero <var1>. return 0 if no item.
#define EXT_GETITEMID				60

//disable(if <var1>) or enable flagman control processing
#define EXT_DISABLEFLAGMANCONTROL	61

//get number of items in shop list
#define EXT_GETSHOPITEMSNUM			62

//get number of displayed items in shop list
#define EXT_GETSHOWNSHOPITEMSNUM	63

//get number of fist displayed item in shop's list
#define EXT_GETFIRSTSHOWNITEM		64

//
#define EXT_SHOPLISTPAGEUP			65

//
#define EXT_SHOPLISTPAGEDOWN		66

//
//#define EXT_SHOPINFOPAGEUP			67

//
//#define EXT_SHOPINFOPAGEDOWN		68

//
//#define EXT_GETSHOPLISTPAGE			69

//
//#define EXT_GETSHOPLISTPAGESNUM		70

//
#define EXT_REMOVEFLAGMANDIALOG		72

//
#define EXT_GETMESSAGEDIRTY			71

//
#define EXT_GETMESSAGE				73

//
#define EXT_GETCARSPEED				74

//
#define EXT_PREVHERO				75

//
#define EXT_NEXTHERO				76

//
#define EXT_CHANGESEX				77

//
#define EXT_PREVCOLOR				78

//
#define EXT_NEXTCOLOR				79

//
#define EXT_GETCOLORLINEDIR			80

//add skill in paramDialog. var1 - skill num, var2 - abstract value.
#define EXT_PDADDSKILL				81

//var1 - skillnum
#define EXT_PDCANINCSKILL			82

//var1 - skillnum
#define EXT_PDCANDECSKILL			83

//var1 - vid num, var2 - direction
#define EXT_GETABSDIR				84

//
#define EXT_PDASSIGNSKILLS			85

//
#define EXT_PDREMOVESKILLINCREASE	86

//
#define EXT_GETRADIOMSGDIRTY		88

//
#define EXT_GETRADIOMSG				89

//
#define EXT_GETRADIOICONVID			90

//
#define EXT_GETRADIOICONDIR			91

//
#define EXT_GETRADIOFONTVID			92

//var1 - monster vid
#define EXT_GETRANDBONUSID			93

//var1 - level num
#define EXT_SETSHOPLEVELNUM			94

//
#define EXT_RESETQUESTSYSTEM		95

//var1 - questnum, var2 - subquestnum, var3 - state
#define EXT_SETQUESTSTATE			96

//
#define EXT_LEVELMONEY				97

//
#define EXT_GET_MONST_GENERATORS_CNT		98

//
#define EXT_SETHERODAMAGECOEFF				99

//var1 - sprite
#define EXT_FIND_ID_FOR_SPRITE				100

//var1 - item (see ITEM_TANKSHELL-like constants)
#define EXT_REMOVEITEMIFHAS					101

//
#define EXT_FIRSTHERO						102

//
#define EXT_SETALLQUESTSUNACTUAL			103

//
#define EXT_RESETHEROHP						104

//var1- vid, var2 - direction
#define EXT_GETINFOTEXT						105

//
#define EXT_GETBRIEFINGTEXT					106

//var1 - name of survive object
//#define EXT_SETSURVIVEMODE					107

//
#define EXT_GETSURVIVEMODE						108

//
#define EXT_FORDEBUG						109


//#define EXT_COPYCLONETOHERO					87
//#define EXT_SAVEHEROONLEVELWIN				111
//#define EXT_LOADHEROONLEVELINIT				112

#define EXT_OnLevelWin						112

//
#define EXT_GETFLYITEMVID					113

//
#define EXT_GETFLYITEMDIR					114

//
#define EXT_GETFLYITEMCNT					115

//
#define EXT_GETFLYITEMX						116

//
#define EXT_GETFLYITEMY						117

//
#define EXT_GETFLYITEMZ						118

//for debug purposes! - only for hero
//zm2005Oct28 -   ,     .  .   .  
#define EXT_SETSKILL						119

//
#define EXT_GetIdByName						120

//var1 - name of campaign object
//#define EXT_SETCAMPAIGN						121

//var1 - current time from begin of the survive map
//#define EXT_SURVIVEMAPFINISH				122

//
//#define EXT_ONBEGINNEWLEVEL					123

//
#define EXT_GETINVNAME						124

//
#define EXT_GETDRAWSHADOW					125

//var1 - 
#define EXT_SETDRAWSHADOW					126

//
#define EXT_GETINPUTACTION					127

//var1, var2
#define EXT_GETHOTKEY						128

//var1
#define EXT_SETKEYWAITMODE					129

//
#define EXT_GETKEYWAITMODE					130

//
#define EXT_RK_SAVE							131

//
#define EXT_RK_CANCEL						132

//
#define EXT_RK_DEFAULT						133

//
#define EXT_RK_INIT							134

//
#define EXT_SET_TEXT_DELAY					135

//var1 == 0 - GetVidData( 1402, VID_DAMAGE_MIN );
//var1 == 1 - GetVidData( 1402, VID_DAMAGE_MAX );
#define EXT_GETREALVAL						136

//
#define EXT_REPAIRARMOR						137

//var1 - percent 0-1000
#define EXT_SHOPSCROLL						138

//
//#define EXT_ProfListToReg					139
#define EXT_SaveOptToFile					140
//
#define EXT_DELETEPROFILE					141
//
#define EXT_SetCtrlWheelsCar				142

//
//var1 - current time from begin of the survive map
//     . -1,   .
#define EXT_GetPeriodNum					143

//
#define EXT_bShowInvGrnd					144

//
#define EXT_GetAddWpnCnt					145

//
#define EXT_GetAddWpnId						146

//
#define EXT_ResetAllQuests					147

//
#define EXT_GetLogFaceDir					148

//
#define EXT_GetLogText						149

//
#define EXT_GetLogsNum						150

//
#define EXT_RefreshShop						151

//
#define EXT_ADDHYPNMONSTER					152

//
#define EXT_PlaceTip						153

//
#define EXT_CopyVid							154

//
#define EXT_GetProgVer						155

//
#define EXT_GetSurvInt						156

//
#define EXT_ReloadDB						157

//
#define EXT_SetPlayerMenuType				158

//
#define EXT_GetQuestAccomplished			159

//
#define EXT_ShowItemInfoById				160

//
#define Ext_Monst2Create					161

//
#define Ext_ToggleLogCons					162

//
#define EXT_GetNamedMonst					163

//
#define EXT_GetSQuestData					164

//
#define EXT_SetCurProf						165

//
#define EXT_GetCurProf						166

//
#define EXT_GetMaxLevNum					167

//
#define EXT_GetMenuUnderCursor				168

//
#define EXT_GetBlinkStatebar				170

//
#define EXT_SET_TEXT_DELAY_STRS13			171

//
#define EXT_SET_TEXT_DELAY_STRS45			172

//
#define EXT_GetCurDroneId					173

//
#define EXT_SetPrevDroneHp					174

//
#define EXT_SetCurDroneHp					175

//var1 -  . var2 - , var3 - _bForceSet
#define EXT_SetHeroPDId						176

//var1 -  
#define EXT_GetHeroPDId						177

//var1 -  . var2 - 
#define EXT_SetHeroPDClr					178

//var1 -  
#define EXT_GetHeroPDClr					179

/*	:
		int buf = SendCommand(EXT_GetHeroPDId, 0);
		SendCommand(EXT_SetHeroPDId, 0, buf);
		int buf = SendCommand(EXT_GetHeroPDClr, 0);
		SendCommand(EXT_SetHeroPDClr, 0, buf);
*/


//
#define EXT_SetMainMenu						180

//
#define Ext_SetFulldamagedArmorCost			181

//
#define Ext_SwitchToStandFirm				182

//
#define Ext_GetGamObjType					183

//
#define Ext_GetObjectId						184

//
#define EXT_SetNetRespItem					185

//
#define EXT_GetNetRespItem					186

//
//#define EXT_SetDeathMatchMode				187

//
#define EXT_SwitchHeroCS					188

//
#define EXT_AddItemsToBackPack				189

//
#define EXT_SetSurvNetCoeff					190
	#define SNC_MONSTCNT	0
	#define SNC_BONUSCNT	1

//
#define EXT_GetHallRecCnt					191

//
#define EXT_GetHallData						192

//
#define EXT_AddHallData						193

//
#define EXT_ClearHallData					194

//
#define EXT_PopPushLifeTIme					195

//
#define EXT_GetBossColor					196

//
#define EXT_GetScoresCoeff					197

//
#define EXT_IsDebugMode						198

//
#define EXT_SETPERKSKILL					199

//
#define Ext_ShowDialogsSub					200

//
#define EXT_CheatHappen						201

//
#define EXT_RandomNetDbg					202		//for net debug

//
#define EXT_GetNameById						203

//
#define EXT_GetStrVal						204

//
#define EXT_GetInvAmmoVid					205

//
#define EXT_SetArgValI						206

//
#define EXT_GetArgValI						207

//
#define EXT_SetArgValS						208

//
#define EXT_GetArgValS						209

//
#define EXT_PushStrVar1						210

//
#define EXT_PushStrVar2						211

//
#define EXT_SetUserName						212

//
#define EXT_GetUserName						213

//
#define EXT_SetQuestLevNum					214
//
#define EXT_GetAuthorused					215

//
//
#define EXT_SomethingStrange				500

// From Zombie Shooter // original values + 300
#define EXT_GetUsersCnt         305
#define EXT_AddUser             307
#define EXT_AddRecord           317 
#define EXT_GetRecCnt           318
#define EXT_GetRecName          319
#define EXT_GetRecScore         320
#define EXT_GetRecRank          321
#define EXT_FlushUserData       322
#define EXT_GetDebugMode        331
#define EXT_SetCurUserOrAddNew  333
#define EXT_LoadLevel           347
#define EXT_SaveLevel           348
#define EXT_ClearLevel          349


// dummy
I_SENDCOMMANDCONST_H_empty()
{}

#endif
